<?php
include_once('../class/class.mysql.php');
include_once('class.feriado.php');
include_once('../include/utilitarios.php');
$mysqlCom = new MysqlConnect();
extract($_POST);
$class = new Feriado();

if ($ax == 'novo') {
	$edtData = DataInvertida($edtData);
	echo $class->Insert($edtData, $EdtDescricao);
}

if ($ax == 'configurar') {
	$edtData = DataInvertida($edtData);
	$class->Upadate($id, $EdtDescricao, $edtData);

	echo $id;
}

if ($ax == 'Delete') {
	$class->Delete($id);
}

if ($ax == 'VerificarDuplicidada') {
	$valor = DataInvertida($valor);
	$class->VerificarDuplicidade($valor, $campo);
	$resultado = '';
	while ($row = mysqli_fetch_object($class->qry)) {
		$resultado = $row->$campo;
	}

	if ($resultado != '') {
		echo $campo . ' é um valor em Dupliciade';
		echo '<input type="hidden" class="edtDuplicidade" value="sDupli" />';
	}
}

if ($ax == 'feriados') {
	$class->IncluirTodosFeriadoAnoAtual();
}
